<? include_once("../includes/main.inc.php");

$headerTitleName = "Add New State";



$page_id = $_REQUEST['page_id'];

$country_id = '1';

$country_name = addslashes($country_name);

$title = addslashes($title);

$description = addslashes($description);

$keyword = addslashes($keyword);

$state_title = addslashes($state_title);

$state_descriptions = addslashes($state_descriptions);

$state_ad1 = addslashes($state_ad1);

$state_ad2 = addslashes($state_ad2);

$state_ad3 = addslashes($state_ad3);

 

	

if(is_post_back()) {





	if($page_id!='') {		 

		

		$sql = "update `tbl_state` set country_id='".addslashes($country_id)."', state_name='".addslashes($state_name)."',  state_short_name='".addslashes($state_short_name)."', state_status='".addslashes($state_status)."', title='".addslashes($title)."', description='".addslashes($description)."', keyword='".addslashes($keyword)."', state_title='".addslashes($state_title)."', state_descriptions='".addslashes($state_descriptions)."', state_ad1='".addslashes($state_ad1)."', state_ad2='".addslashes($state_ad2)."', state_ad3='".addslashes($state_ad3)."', state_modified=now() where state_id = $page_id ";

		db_query($sql);

		

		########### Uploading Image ################

		if($_FILES['sv_image']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			

			db_query("update tbl_state set state_banner='".$sv_image_1."' where state_id = $page_id ");

		}

		

		set_session_msg("District updated successfully.");	



	

	} else{	

	

	    ########### Uploading Image ################

		if($_FILES['sv_image']['name']!='')

		{

			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

			}

			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");

				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");

			$n_width=120; // Fix the width of the thumb nail images

			$n_height=90; // Fix the height of the thumb nail imaage

			

			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;

			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored

			

			//echo $tsrc;

			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";

			exit;}

				///////// starting of JPG thumb nail creation//////////

			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")

			{

				$im=ImageCreateFromJPEG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImageJpeg($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			else{

				$im=ImageCreateFromPNG($add);

				$width=ImageSx($im); // Original picture width is stored

				$height=ImageSy($im); // Original picture height is stored

				$newimage=imagecreatetruecolor($n_width,$n_height);

				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);

				ImagePng($newimage,$tsrc);

				chmod("$tsrc",0777);

			}

			

		}

	 

		$sql = "insert into `tbl_state` set state_name='".addslashes($state_name)."', state_short_name='".addslashes($state_short_name)."', country_id='".addslashes($country_id)."', title='".addslashes($title)."', description='".addslashes($description)."', keyword='".addslashes($keyword)."', state_title='".addslashes($state_title)."', state_descriptions='".addslashes($state_descriptions)."',state_ad1='".addslashes($state_ad1)."',state_ad2='".addslashes($state_ad2)."',state_ad3='".addslashes($state_ad3)."', state_banner='".addslashes($sv_image_1)."', state_join=now() ";

		db_query($sql);

		set_session_msg("New District added successfully.");



	}

	header("Location: district.php?start=$start");

	exit;

}



$page_id = $_REQUEST['page_id'];

if($page_id!='') {

	$sql = "select `tbl_state`.*,`tbl_country`.country_name,`tbl_state`.state_status,`tbl_state`.country_id from `tbl_state` join `tbl_country` on `tbl_state`.country_id=`tbl_country`.country_id where state_id = '$page_id'";

	$result = db_query($sql);

	if ($line_raw = mysql_fetch_array($result)) {

		//$line_raw = ms_form_value($line_raw);

		@extract($line_raw);

		

	}

}

?>

<link href="styles.css" rel="stylesheet" type="text/css">



<? include("top.inc.php");?>

<table width="100%" border="0" cellspacing="0" cellpadding="0">

  <tr>

    <td id="pageHead"><div id="txtPageHead">

       Add/Edit State</div></td>

  </tr>

</table>

<script type="text/javascript" src="fckeditor/fckeditor.js"></script>

<table width="80%" align="left">

		  	<tr><td>

		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">

        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">

    	<tr>

		<td  colspan="2"height="30"  align="right"><a href="district.php?start=<?=$start?>" class="redcolor"><strong>Back To State List</strong></a></td>

		</tr>    

        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  

		



        <tr><td>&nbsp;</td></tr>

        

        <!--<tr>

		  <td class="lables"><b>Services Name</b></td>

          <td class="feildstxt">

          	<select id="country_id" name="country_id">

          		<?php

          		/*$sqls=mysql_query("select * from tbl_country where country_status=1");

          		while($ress=mysql_fetch_array($sqls))

          		{

          			if($ress['country_id']==$country_id)

          			{

						echo "<option value='".$ress['country_id']."' selected>".$ress['country_name']."</option>";

					}

					else

					{

						echo "<option value='".$ress['country_id']."'>".$ress['country_name']."</option>";

					}

				}*/

          		?>

          	</select>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr>  -->     



        <tr>

		  <td class="lables"><b>State Name</b></td>

          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($state_name)?>" name="state_name" id="state_name"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>
        
        <tr>

		  <td class="lables"><b>State Short Name</b></td>

          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($state_short_name)?>" name="state_short_name" id="state_short_name"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        



		<tr>

		  <td class="lables"><b>Status</b></td>

          <td class="feildstxt"><select name="state_status" id="state_status">

          <option value="1" <?php if($state_status=='1'){ echo 'selected="selected"'; } ?>>Active</option>

          <option value="0" <?php if($state_status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          

          </select></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

      <tr>

		  <td class="lables" colspan="2"><hr/></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Title </b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="title" id="title"  ><?=stripslashes($title)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Description </b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="description" id="description"  ><?=stripslashes($description)?></textarea></td>

          </td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Keyword</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="keyword" id="keyword"  ><?=stripslashes($keyword)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

     <!--  <tr>

		  <td class="lables" colspan="2"><hr/></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Banner Image</b></td>

          <td class="feildstxt"><input type="file" name="sv_image" id="sv_image"  /></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        <tr>

		  <td class="lables"><b>Current Banner Image</b></td>

          <td class="feildstxt">

         <? /*if($page_id!='')

            {

                $sv_image = $state_banner;

                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){

                $imgsrc=UP_FILES_WS_PATH."/banner/thumb/".$sv_image;

                $size=getimagesize(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);

				echo '<img src="'.$imgsrc.'" alt="No Image"  />';

                }

				else{  echo 'NO Images'; }

				

				

                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/original/".$sv_image)){

                $imgsrcBig=UP_FILES_WS_PATH."/banner/original/".$sv_image;

                $size=getimagesize(UP_FILES_FS_PATH."/banner/original/".$sv_image);

                $img=ImageCreateFromJPEG($imgsrcBig);

                $width=ImageSx($img); // Original picture width is stored

                $height=ImageSy($img); // Original picture height is stored

                }

				

			}*/

            ?>

             

            </td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>State Title</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="state_title" id="state_title"  ><?=stripslashes($state_title)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

         <tr>

		  <td class="lables"><b>State Descriptions</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="state_descriptions" id="state_descriptions"  ><?=stripslashes($state_descriptions)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad1</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="state_ad1" id="state_ad1"  ><?=stripslashes($state_ad1)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad2</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="state_ad2" id="state_ad2"  ><?=stripslashes($state_ad2)?></textarea></td>

        </tr>

        <tr><td>&nbsp;</td></tr>

        

        <tr>

		  <td class="lables"><b>Ad3</b></td>

          <td class="feildstxt"><textarea style="width:300px;" name="state_ad3" id="state_ad3"  ><?=stripslashes($state_ad3)?></textarea></td>

        </tr>

        

        <tr><td>&nbsp;</td></tr>-->

        <tr>

        <td align="left" class="lables">&nbsp;</td>

        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>

        </tr>

        <tr><td height="25">&nbsp;</td></tr>

   </table>

    </form>

    </td></tr></table>   

   <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('description','650','500')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <!-- <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad1','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad2','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script>   

    <script type="text/javascript">

		 var oFCKeditor=new FCKeditor('state_ad3','650','200')	;

		 oFCKeditor.BasePath="fckeditor/";	

		 oFCKeditor.ReplaceTextarea();

    </script> -->

  <? include("bottom.inc.php");?>